//---------------------------------------------------------------------------

#ifndef mainH
#define mainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
class TFormMain : public TForm
{
__published:	// IDE-managed Components
        TComboBox *ComboBoxPort;
        TLabel *LabelPort;
        TButton *ButtonGetTime;
        TMemo *Memo;
        TListBox *ListBox;
        TButton *ButtonSetTime;
        TButton *ButtonLoad;
        TButton *ButtonDelete;
        void __fastcall ButtonGetTimeClick(TObject *Sender);
        void __fastcall ButtonSetTimeClick(TObject *Sender);
        void __fastcall ButtonLoadClick(TObject *Sender);
        void __fastcall ButtonDeleteClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TFormMain(TComponent* Owner);
        void Connect();
        void Disconnect();
};
//---------------------------------------------------------------------------
extern PACKAGE TFormMain *FormMain;
//---------------------------------------------------------------------------
#endif
